Summary: i18n fonts for a2ps
Name: a2ps-i18n
Version: 0.1
Release: 1
Copyright: GPL
Group: Applications/Publishing
Source: ftp://ftp.enst.fr/pub/unix/a2ps/i18n-fonts-0.1.tar.gz
Prereq: /sbin/install-info
Url: http://www.inf.enst.fr/~demaille/a2ps/
BuildRoot: /var/tmp/%{name}-root
Requires: a2ps
BuildArch: noarch

%description
This package contains fonts that bring PostScript support of some charsets.
These fonts should work for any kind of text processing tool, but this
collection is mainly intented for a2ps.

%prep
%setup -q -n i18n-fonts-0.1 
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/a2ps/{afm,fonts}
(cd afm;
	install -m 0644 *.afm $RPM_BUILD_ROOT/usr/share/a2ps/afm
	cd ../fonts
	install -m 0644 *.pfb $RPM_BUILD_ROOT/usr/share/a2ps/fonts
)	

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd /usr/share/a2ps/afm;
	./make_fonts_map.sh 2&>/dev/null
	cp fonts.map fonts.map.old
	mv fonts.map.new fonts.map
)

%postun
(cd /usr/share/a2ps/afm;
	mv fonts.map.old fonts.map
)

%files
%defattr(-,root,root)
/usr/share/a2ps/afm/*
/usr/share/a2ps/fonts/*

%changelog
* Mon Jan 24 2000 Tim Powers <timp@redhat.com>
- the a2ps folks ripped out the i18n stuff from the a2ps tarball, so we'll
	include it in a separate package :)
